Index: /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2057)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 2175)
@@ -67,5 +67,5 @@
 	bool processUnbufferedKeyInput(const FrameEvent& evt)
     {
-		MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/Caustic/CauCube_PointSpritecenterHead_SE_0_clone");
+	/*	MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/Caustic/CauCube_PointSpritecenterHead_SE_0_clone");
 		GpuProgramParameters* Vparams = mat->getTechnique(0)->getPass(0)->getVertexProgramParameters().getPointer();
 		GpuProgramParameters* Fparams = mat->getTechnique(0)->getPass(0)->getFragmentProgramParameters().getPointer();
@@ -97,5 +97,5 @@
 			Vparams->setNamedConstant("CauSpriteSize", causize);			
 		}
-	
+	*/
 		return ExampleFrameListener::processUnbufferedKeyInput(evt);
 	}
@@ -105,5 +105,5 @@
 		if(first)
 		{
-			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/Caustic/CauCube_PointSpritecenterHead_SE_0_clone");
+/*			MaterialPtr mat = MaterialManager::getSingleton().getByName("GTP/Caustic/CauCube_PointSpritecenterHead_SE_0_clone");
 			GpuProgramParameters* Vparams = mat->getTechnique(0)->getPass(0)->getVertexProgramParameters().getPointer();
 			GpuProgramParameters* Fparams = mat->getTechnique(0)->getPass(0)->getFragmentProgramParameters().getPointer();
@@ -112,5 +112,5 @@
 			Fparams->setNamedConstant("CausticColor", causticColor, 4);			
 			Vparams->setNamedConstant("CauSpriteSize", causize);
-			first = false;
+			first = false;*/
 		}
 
@@ -187,12 +187,16 @@
 														"GTP/PostProc/ToneMap");
 		CompositorManager::getSingleton().setCompositorEnabled(mWindow->getViewport(0),
-														"GTP/PostProc/ToneMap", true);		
+														"GTP/PostProc/ToneMap", true);			
 	}
     
+	void chooseSceneManager()
+	{
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+	}
 
 	void createScene(void)
     {
-
-		//createPostproc();
+		createPostproc();
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
@@ -288,11 +292,5 @@
 		goldHead->setMaterialName("GTP/EnvMap/Gold");
 		silverHead->setMaterialName("GTP/EnvMap/Silver");
-		centerHead->setMaterialName("GTP/Caustic/Glass");
-
-		/*aluHead->setVisible(false);
-		copperHead->setVisible(false);
-		goldHead->setVisible(false);
-		silverHead->setVisible(false);
-		centerHead->setVisible(false);*/
+		centerHead->setMaterialName("GTP/Caustic/Glass_PointSprite");
 
 		OgreIlluminationManager::getSingleton().initTechniques();	
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 2140)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/ReflectionTest/include/ReflectionTest.h	(revision 2175)
@@ -39,9 +39,9 @@
 bool useCauInt = true;
 
-int currentMaterial = 3;
+int currentMaterial = 1;
 int currentObject = 1;
 String objectNames[] = {String("sphere.mesh"),
                         String("teapot.mesh"),
-						String("buddha.mesh"),
+						String("colorcube.mesh"),
 						String("head.mesh")};
 
@@ -400,5 +400,11 @@
 			ResourceGroupManager::getSingleton().initialiseResourceGroup("GTP_MultipleCausticRefraction_MinMax");
 	}
-  Entity* object;
+	Entity* object;
+
+	void chooseSceneManager()
+	{
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+	}
 
     void createPostproc()
Index: /GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2167)
+++ /GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2175)
@@ -150,4 +150,5 @@
 	{
 		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
+		//mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
 	}
 
@@ -235,14 +236,7 @@
 		mainLightNode->attachObject(bbs);
 
-		//Root::getSingleton().renderOneFrame();
-		//mSceneMgr->_updateSceneGraph(mCamera);
-		
-
 		//createPlane("ground", "TestPlane", Vector3(0,0,0), Vector2(500,500));
-	
 		OgreIlluminationManager::getSingleton().initTechniques();
-		
-		
-   }
+	 }
    void createPlane(Ogre::String _name, Ogre::String _material, Ogre::Vector3 _pos, Ogre::Vector2 _size, Ogre::Vector2 _subdivisions = Ogre::Vector2(1,1)) {
 		
Index: /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/Plugins.cfg
===================================================================
--- /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/Plugins.cfg	(revision 2156)
+++ /GTP/trunk/App/Demos/Illum/Ogre/bin/Release/Plugins.cfg	(revision 2175)
@@ -8,5 +8,5 @@
 Plugin=Plugin_ParticleFX
 Plugin=Plugin_BSPSceneManager
-#Plugin=Plugin_OctreeSceneManager
+Plugin=Plugin_OctreeSceneManager
 Plugin=Plugin_CgProgramManager
 Plugin=Plugin_VisibilitySceneManager
Index: /GTP/trunk/App/Demos/Illum/DepthOfField/shaders/BumpMapping.fx
===================================================================
--- /GTP/trunk/App/Demos/Illum/DepthOfField/shaders/BumpMapping.fx	(revision 765)
+++ /GTP/trunk/App/Demos/Illum/DepthOfField/shaders/BumpMapping.fx	(revision 2175)
@@ -25,8 +25,7 @@
 
 // Illumination functions
-#include "illum.hlsl"
+#include "shaders/illum.hlsl"
 
-struct VS_INPUT {
-		float4 Position  : POSITION;
+struct VS_INPUT {float4 Position  : POSITION;
 		float3 Normal	 : NORMAL;					
 		float3 Binormal	 : BINORMAL;
